"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CRITICAL_COLOR = exports.ERROR_COLOR = exports.WARN_COLOR = exports.INFO_COLOR = void 0;
var Dates = require("@modulfy/shared-dates");
var typedi_1 = require("typedi");
var chalk = require('chalk');
exports.INFO_COLOR = '#89cff0';
exports.WARN_COLOR = '#ff9100';
exports.ERROR_COLOR = '#ff6961';
exports.CRITICAL_COLOR = '#FF0000';
var Logger = /** @class */ (function () {
    function Logger() {
    }
    Logger.prototype.info = function (msg) {
        console.log(chalk.hex(exports.INFO_COLOR)("[INFO " + Dates.now() + "]")
            + chalk.hex(this.color)("[" + this.name + "] ")
            + msg);
    };
    Logger.prototype.warn = function (msg) {
        console.warn(chalk.hex(exports.WARN_COLOR)("[WARN " + Dates.now() + "]")
            + chalk.hex(this.color)("[" + this.name + "] ")
            + chalk.hex(exports.WARN_COLOR)(msg));
    };
    Logger.prototype.error = function (msg) {
        console.error(chalk.hex(exports.ERROR_COLOR)("[ERROR " + Dates.now() + "]")
            + chalk.hex(this.color)("[" + this.name + "] ")
            + chalk.hex(exports.ERROR_COLOR)(msg));
    };
    Logger.prototype.critical = function (msg) {
        console.error(chalk.hex(exports.CRITICAL_COLOR)("[CRITICAL " + Dates.now() + "]")
            + chalk.hex(this.color)("[" + this.name + "] ")
            + chalk.hex(exports.CRITICAL_COLOR)(msg));
    };
    Logger.prototype.setName = function (name) {
        this.name = name;
        return this;
    };
    Logger.prototype.setColor = function (color) {
        this.color = color;
        return this;
    };
    Logger = __decorate([
        typedi_1.Service({ global: false })
    ], Logger);
    return Logger;
}());
exports.default = Logger;
